%{?nodejs_find_provides_and_requires}

%global packagename traceur

Name: nodejs-%{packagename}
Version: 0.0.111
Release: 1%{?dist}.3
Summary: ES6 to ES5 compiler
License: Apache-2.0
URL: https://github.com/google/traceur-compiler
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(commander) >= 2.9.0
BuildRequires: npm(commander) < 2.10.0
BuildRequires: npm(glob) >= 5.0.0
BuildRequires: npm(rsvp) >= 3.0.13
BuildRequires: npm(rsvp) < 4.0.0
BuildRequires: npm(semver) >= 4.3.3
BuildRequires: npm(source-map-support) >= 0.2.8

%description
ES6 to ES5 compiler.

Traceur is a JavaScript.next-to-JavaScript-of-today compiler that allows you
to use features from the future today. Traceur supports ES6 as well as some
experimental ES.next features.


%prep
%setup -q -n package
%nodejs_fixdep glob '>=5.0.0'
%nodejs_fixdep semver '>=4.3.3'
%nodejs_fixdep source-map-support '>=0.2.8'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bin src dist traceur \
        %{buildroot}%{nodejs_sitelib}/%{packagename}
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/traceur \
       %{buildroot}%{_bindir}/traceur

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'


%files
%license LICENSE
%{nodejs_sitelib}/%{packagename}
%{_bindir}/traceur

%changelog
* Tue Oct  4 2016 Oleg Girko <ol@infoserver.lv> - 0.0.111-2
- Fix incorrectly installed bin subdir.
* Mon Oct  3 2016 Oleg Girko <ol@infoserver.lv> - 0.0.111-1
- Initial package.
